package com.steerinfo.ems.cordasconfiguration.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class CordasConfiguration implements IBasePO<String> {
    /**
     * 计量点编号(ITEMID,VARCHAR,255)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String itemid;

    /**
     * 计量点名称(ITEMNAME,VARCHAR,255)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String itemname;

    /**
     * 产线(WORKPROC,VARCHAR,255)
     */
    @ApiModelProperty(value="产线",required=false)
    private String workproc;

    /**
     * 能介大类(ENERGYTYPE,VARCHAR,255)
     */
    @ApiModelProperty(value="能介大类",required=false)
    private String energytype;

    /**
     * 能介(ENERGY,VARCHAR,255)
     */
    @ApiModelProperty(value="能介",required=false)
    private String energy;

    /**
     * 消耗/产出(PROPERTY,VARCHAR,255)
     */
    @ApiModelProperty(value="消耗/产出",required=false)
    private String property;

    /**
     * CORDAS表(CORDASTABLE,VARCHAR,255)
     */
    @ApiModelProperty(value="CORDAS表",required=false)
    private String cordastable;

    /**
     * CORDAS表字段名(CORDASCOLUM,VARCHAR,255)
     */
    @ApiModelProperty(value="CORDAS表字段名",required=false)
    private String cordascolum;

    /**
     * 十分钟表(TIMINGTABLE,VARCHAR,255)
     */
    @ApiModelProperty(value="十分钟表",required=false)
    private String timingtable;

    /**
     * 十分钟表字段名(TIMINGCOLUM,VARCHAR,255)
     */
    @ApiModelProperty(value="十分钟表字段名",required=false)
    private String timingcolum;

    /**
     * 小时表(HOURTABLE,VARCHAR,255)
     */
    @ApiModelProperty(value="小时表",required=false)
    private String hourtable;

    /**
     * 小时表字段名(HOURCOLUM,VARCHAR,255)
     */
    @ApiModelProperty(value="小时表字段名",required=false)
    private String hourcolum;

    /**
     * DAS地址(DASADDRESS,VARCHAR,255)
     */
    @ApiModelProperty(value="DAS地址",required=false)
    private String dasaddress;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.itemid;
    }

    @Override
    public void setId(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public String getWorkproc() {
        return workproc;
    }

    public void setWorkproc(String workproc) {
        this.workproc = workproc == null ? null : workproc.trim();
    }

    public String getEnergytype() {
        return energytype;
    }

    public void setEnergytype(String energytype) {
        this.energytype = energytype == null ? null : energytype.trim();
    }

    public String getEnergy() {
        return energy;
    }

    public void setEnergy(String energy) {
        this.energy = energy == null ? null : energy.trim();
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property == null ? null : property.trim();
    }

    public String getCordastable() {
        return cordastable;
    }

    public void setCordastable(String cordastable) {
        this.cordastable = cordastable == null ? null : cordastable.trim();
    }

    public String getCordascolum() {
        return cordascolum;
    }

    public void setCordascolum(String cordascolum) {
        this.cordascolum = cordascolum == null ? null : cordascolum.trim();
    }

    public String getTimingtable() {
        return timingtable;
    }

    public void setTimingtable(String timingtable) {
        this.timingtable = timingtable == null ? null : timingtable.trim();
    }

    public String getTimingcolum() {
        return timingcolum;
    }

    public void setTimingcolum(String timingcolum) {
        this.timingcolum = timingcolum == null ? null : timingcolum.trim();
    }

    public String getHourtable() {
        return hourtable;
    }

    public void setHourtable(String hourtable) {
        this.hourtable = hourtable == null ? null : hourtable.trim();
    }

    public String getHourcolum() {
        return hourcolum;
    }

    public void setHourcolum(String hourcolum) {
        this.hourcolum = hourcolum == null ? null : hourcolum.trim();
    }

    public String getDasaddress() {
        return dasaddress;
    }

    public void setDasaddress(String dasaddress) {
        this.dasaddress = dasaddress == null ? null : dasaddress.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemid=").append(itemid);
        sb.append(", itemname=").append(itemname);
        sb.append(", workproc=").append(workproc);
        sb.append(", energytype=").append(energytype);
        sb.append(", energy=").append(energy);
        sb.append(", property=").append(property);
        sb.append(", cordastable=").append(cordastable);
        sb.append(", cordascolum=").append(cordascolum);
        sb.append(", timingtable=").append(timingtable);
        sb.append(", timingcolum=").append(timingcolum);
        sb.append(", hourtable=").append(hourtable);
        sb.append(", hourcolum=").append(hourcolum);
        sb.append(", dasaddress=").append(dasaddress);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}